Debian Bug report logs - #569697
zlib1g: Please install the library to multiarch paths

version graph

Package: zlib1g; Maintainer for zlib1g is Mark Brown <broonie@debian.org>; Source for zlib1g is src:zlib.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sat, 13 Feb 2010 14:51:01 UTC

Severity: important

Found in version 1:1.2.3.5.dfsg-2+multiarch1

Fixed in version zlib/1:1.2.6.dfsg-1

Done: Mark Brown <broonie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Sat, 13 Feb 2010 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Mark Brown <broonie@debian.org>. (Sat, 13 Feb 2010 14:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zlib1g: install the library to multiarch paths
Date: Sat, 13 Feb 2010 14:49:51 +0000
[Message part 1 (text/plain, inline)]
Package: zlib1g
Version: 1:1.2.3.5.dfsg-2+multiarch1
Severity: wishlist
Tags: patch

Policy 3.8.4 allows packages to install to multiarch directories; the attached
patches should hopefully be a correct implementation for zlib. I believe
they're policy-compliant, but I'm currently waiting for feedback on a simpler
package from -devel/-policy (in particular, Steve Langasek warned not to upload
packages that violated policy, but didn't explain further).

I left the lib32/lib64 packages alone for now - I'm not aware of any plans for
a migration path from bi-arch to multiarch at this stage, but hopefully
multiarch will mean that these packages can just vanish after Squeeze.

The attached patch is also available from:
    bzr+ssh://bzr.debian.org/home/users/smcv/public_bzr/multiarch/zlib

Regards,
    Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Sat, 13 Feb 2010 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Sat, 13 Feb 2010 18:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Simon McVittie <smcv@debian.org>, 569697@bugs.debian.org
Subject: Re: Bug#569697: zlib1g: install the library to multiarch paths
Date: Sat, 13 Feb 2010 18:28:51 +0000
retitle 569697 zlib1g: Please install the library to multiarch paths
tag 569697 - patch
thanks

On Sat, Feb 13, 2010 at 02:49:51PM +0000, Simon McVittie wrote:

> The attached patch is also available from:
>     bzr+ssh://bzr.debian.org/home/users/smcv/public_bzr/multiarch/zlib

You appear to have neglected to actually attach the patch.  In any case,
the patch will need redoing for current zlib since upstream has changed
the build system (I've not yet uploaded a package with this change).

Given some of the issues with transitions done by some of the people
driving the multiarch stuff I'm also inclined 




Changed Bug title to 'zlib1g: Please install the library to multiarch paths' from 'zlib1g: install the library to multiarch paths' Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:33:11 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Sat, 13 Feb 2010 18:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Fri, 26 Feb 2010 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Fri, 26 Feb 2010 13:42:05 GMT) Full text and rfc822 format available.

Message #19 received at 569697@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 569697@bugs.debian.org
Subject: Re: Bug#569697: zlib1g: install the library to multiarch paths
Date: Fri, 26 Feb 2010 13:39:11 +0000
[Message part 1 (text/plain, inline)]
tags 569697 + patch
thanks

On Sat, 13 Feb 2010 at 18:28:51 +0000, Mark Brown wrote:
> You appear to have neglected to actually attach the patch.

Sorry, see attached (or the bzr repository I referenced earlier, which is
a branch from yours). I've been using the patched version myself for a couple
of weeks and haven't noticed any problems.

> Given some of the issues with transitions done by some of the people
> driving the multiarch stuff I'm also inclined 

Your mail seems to have been truncated, but I get the general idea...

This isn't a transition as such, since multiarch packages don't need to
migrate to multiarch in any particular order: my testing was done with a
non-multiarch libc6 and seems fine. No problem if you don't want to upload
anyway, though; my goal was mainly to get some good examples of multiarch
packages that can be used as test cases.

Regards,
    Simon
[zlib-multiarch.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Fri, 26 Feb 2010 13:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Fri, 24 Jun 2011 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Fri, 24 Jun 2011 21:06:05 GMT) Full text and rfc822 format available.

Message #26 received at 569697@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 569697@bugs.debian.org
Subject: Re: zlib1g: Please install the library to multiarch paths
Date: Fri, 24 Jun 2011 14:03:27 -0700
[Message part 1 (text/plain, inline)]
Hi Mark,

Please find attached an updated patch for multiarch support, using the final
variables and required pre-dependencies as discussed recently on
debian-devel.

This patch is against the bzr branch listed in Vcs-Bzr on the package, but
that branch seems to include a new upstream version that never reached
unstable, and there's a different version entirely in experimental that's
not shown on the branch.  So if there's a different branch you'd like me to
rebase this on, please let me know.

The policy concerns mentioned in the original bug report have also since
been addressed, so this should now be ok to upload to Debian.  There are 114
library packages already converted in unstable, and no one's screaming for
blood yet...

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[zlib-multiarch.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Sun, 26 Jun 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Sun, 26 Jun 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #31 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Steve Langasek <vorlon@debian.org>, 569697@bugs.debian.org
Subject: Re: Bug#569697: zlib1g: Please install the library to multiarch paths
Date: Sun, 26 Jun 2011 17:57:54 +0100
On Fri, Jun 24, 2011 at 02:03:27PM -0700, Steve Langasek wrote:

> This patch is against the bzr branch listed in Vcs-Bzr on the package, but
> that branch seems to include a new upstream version that never reached
> unstable, and there's a different version entirely in experimental that's
> not shown on the branch.  So if there's a different branch you'd like me to
> rebase this on, please let me know.

This needs to be based on unreleased packaging which isn't anywhere
public yet.  The next upload will remove the bzr reference, bzr is
pretty appauling usability and performance wise and I can't say it does
anything other than create work.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Wed, 17 Aug 2011 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Wed, 17 Aug 2011 17:21:05 GMT) Full text and rfc822 format available.

Message #36 received at 569697@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: control@bugs.debian.org
Cc: 569697@bugs.debian.org, broonie@debian.org
Subject: tag
Date: Wed, 17 Aug 2011 20:17:02 +0300
user debian-dpkg@lists.debian.org
usertag 569697 + multiarch
thanks

> This needs to be based on unreleased packaging which isn't anywhere
> public yet. 

Any news on when this packaging or new upload will be available?

Riku




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Thu, 18 Aug 2011 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Aug 2011 01:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 569697@bugs.debian.org
Subject: Re: tag
Date: Thu, 18 Aug 2011 02:04:08 +0100
On Wed, Aug 17, 2011 at 08:17:02PM +0300, Riku Voipio wrote:

> Any news on when this packaging or new upload will be available?

No, not in the past week.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Thu, 18 Aug 2011 01:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Thu, 18 Aug 2011 01:27:06 GMT) Full text and rfc822 format available.

Message #46 received at 569697@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mark Brown <broonie@debian.org>, 569697@bugs.debian.org
Cc: Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#569697: tag
Date: Wed, 17 Aug 2011 18:25:03 -0700
[Message part 1 (text/plain, inline)]
Hi Mark,

On Thu, Aug 18, 2011 at 02:04:08AM +0100, Mark Brown wrote:
> On Wed, Aug 17, 2011 at 08:17:02PM +0300, Riku Voipio wrote:

> > Any news on when this packaging or new upload will be available?

> No, not in the past week.

Do you mean by this that there was news elsewhere a week ago, or are you
experiencing relativistic time dilation? :-)  The last comment on the bug
prior to Riku's ping was almost two months ago.

As long as dpkg support hasn't yet landed there's no rush from my
perspective to get this zlib1g patch into the archive, but I guess Riku may
have a different POV.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Thu, 18 Aug 2011 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Aug 2011 02:54:03 GMT) Full text and rfc822 format available.

Message #51 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 569697@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#569697: tag
Date: Thu, 18 Aug 2011 03:51:05 +0100
On Wed, Aug 17, 2011 at 06:25:03PM -0700, Steve Langasek wrote:
> On Thu, Aug 18, 2011 at 02:04:08AM +0100, Mark Brown wrote:
> > On Wed, Aug 17, 2011 at 08:17:02PM +0300, Riku Voipio wrote:

> > > Any news on when this packaging or new upload will be available?

> > No, not in the past week.

> Do you mean by this that there was news elsewhere a week ago, or are you
> experiencing relativistic time dilation? :-)  The last comment on the bug
> prior to Riku's ping was almost two months ago.

Someone sent a mail on the s390 bug only last week, as the mail didn't
include any human readable text identifying which bug I assumed it was
that one.  Our BTS really is fail from the maintainer point of view so
much of the time :/ .

> As long as dpkg support hasn't yet landed there's no rush from my
> perspective to get this zlib1g patch into the archive, but I guess Riku may
> have a different POV.

Oh, there's no dpkg support?  Hrm.  Anyway, I should get round to doing
the upload some time.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Thu, 10 Nov 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Thu, 10 Nov 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #56 received at 569697@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 569697@bugs.debian.org
Subject: Re: zlib1g: Please install the library to multiarch paths
Date: Thu, 10 Nov 2011 10:53:30 -0800
[Message part 1 (text/plain, inline)]
Hi Mark,

Minor update to this zlib multiarch patch, to mark zlib1g-dev Multi-Arch:
same; I've verified that the amd64 and armel builds of the package have no
conflicting contents, so this should work without further modification.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[zlib-multiarch.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Tue, 31 Jan 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 31 Jan 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #61 received at 569697@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Brown <broonie@debian.org>, 569697@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#569697: tag
Date: Tue, 31 Jan 2012 21:29:20 +0100
[Message part 1 (text/plain, inline)]
Hi Mark,

Mark Brown <broonie@debian.org> (18/08/2011):
> On Wed, Aug 17, 2011 at 06:25:03PM -0700, Steve Langasek wrote:
> > As long as dpkg support hasn't yet landed there's no rush from my
> > perspective to get this zlib1g patch into the archive, but I guess
> > Riku may have a different POV.
> 
> Oh, there's no dpkg support?  Hrm.  Anyway, I should get round to
> doing the upload some time.

a multiarch-enabled dpkg is hitting experimental in a few minutes,
please consider making zlib multiarch-ready, that will greatly help
its thousands of reverse dependencies. ;-)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Mon, 06 Feb 2012 16:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 07 Feb 2012 09:57:28 GMT) Full text and rfc822 format available.

Message #68 received at 569697@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Mark Brown <broonie@sirena.org.uk>
Cc: 569697@bugs.debian.org, 569697-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: ldgfkjdkjg
Date: Tue, 7 Feb 2012 10:53:10 +0100
[Message part 1 (text/plain, inline)]
# part of the multiarch release goal
severity 569697 important
user multiarch-devel@lists.alioth.debian.org
usertag 569697 + multiarch
thanks

Hi,

On Mon, Feb 06, 2012 at 04:29:24PM +0000, Mark Brown wrote:
> tag 569697 - patch

so you removed the patch tag and are not actively helping others to
rebase the patch onto your "unreleased packaging" you're holding back
for months, without any signs of progress.

Please note that relaxed NMU rules apply due to it being part of the
multiarch release goal now.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'wishlist' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:57:34 GMT) Full text and rfc822 format available.

Message sent on to Simon McVittie <smcv@debian.org>:
Bug#569697. (Tue, 07 Feb 2012 09:57:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 11:14:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Feb 2012 11:14:27 GMT) Full text and rfc822 format available.

Message #78 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 569697@bugs.debian.org, 569697-submitter@bugs.debian.org
Subject: Re: ldgfkjdkjg
Date: Tue, 7 Feb 2012 11:13:36 +0000
On Tue, Feb 07, 2012 at 10:53:10AM +0100, Philipp Kern wrote:
> On Mon, Feb 06, 2012 at 04:29:24PM +0000, Mark Brown wrote:
> > tag 569697 - patch

> so you removed the patch tag and are not actively helping others to

Yes, I've no intention of using it.  I was very surprised when I saw it
was tagged at all.

> rebase the patch onto your "unreleased packaging" you're holding back
> for months, without any signs of progress.

Well, the packaging isn't there and frankly your attitude here is
rather arrogant - we've had dpkg support for this in experimental for
less than a week, it's not in unstable yet and you're upset that I've
not been actively integrating this into unstable?  I have this idea that
for patches that affect everyone I ought to at least be able to try them
for myself.

> Please note that relaxed NMU rules apply due to it being part of the
> multiarch release goal now.

Well, I'd probably revert any NMU that someone tries to do in advance of
dpkg in unstable.  It really seems entirely irresponsible to just throw
stuff in there without any serious testing and I really want to see a
bunch of random users get multiarch (which pretty much means a multiarch
enabled dpkg in unstable) before doing anything to try to make sure that
the transition has been thought through and tested properly.  I've had
quite enough of being caught up in poorly thought through transitions
and their reversions.

Really, your mail is entirely demotivating - I'd really reconsider the
way you're approaching maintainers here.  The failure to get multiarch
dpkg changes in unstable is unfortunate but calling everyone wasters
isn't constructive.




Message sent on to Simon McVittie <smcv@debian.org>:
Bug#569697. (Tue, 07 Feb 2012 11:14:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 07 Feb 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #86 received at 569697@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Brown <broonie@debian.org>, 569697@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, 569697-submitter@bugs.debian.org
Subject: Re: Bug#569697: ldgfkjdkjg
Date: Tue, 7 Feb 2012 20:49:25 +0100
[Message part 1 (text/plain, inline)]
Hi Mark,

Mark Brown <broonie@debian.org> (07/02/2012):
> It really seems entirely irresponsible to just throw stuff in there
> without any serious testing and I really want to see a bunch of random
> users get multiarch (which pretty much means a multiarch enabled dpkg
> in unstable) before doing anything to try to make sure that the
> transition has been thought through and tested properly.  I've had
> quite enough of being caught up in poorly thought through transitions
> and their reversions.

what about a zlib upload to experimental? That would greatly help early
testers make sure everything is fine with multiarchified zlib, be it for
the host architecture or for foreign architectures. That should lead to
fewer troubles when core packages (dpkg, zlib, and friends) are uploaded
to unstable.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Simon McVittie <smcv@debian.org>:
Bug#569697. (Tue, 07 Feb 2012 19:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 20:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 07 Feb 2012 20:18:07 GMT) Full text and rfc822 format available.

Message #94 received at 569697@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: Philipp Kern <pkern@debian.org>, 569697@bugs.debian.org
Subject: Re: Bug#569697: ldgfkjdkjg
Date: Tue, 07 Feb 2012 20:16:06 +0000
There may have been some misunderstanding here? I believe Philipp and
Riku were interpreting this:

> This needs to be based on unreleased packaging which isn't anywhere
> public yet

as saying you had some semi-finished packaging which you wanted people
to rebase onto, but that they can't do so, because it isn't available to
them. If that's not it, could you please say what you'd prefer packages
to be relative to? Or, if they did understand correctly, could you
please make that packaging available somewhere so someone can help to
finish it, or prepare a patch that's more to your liking?

When changing someone else's package the typical assumption is that they
want you to start from the package's declared VCS or the last upload,
and make minimal changes. If that's not the case for zlib, fine, but
please say what starting point and which other changes you'd prefer to
have. (I infer from the discussion so far that "delete the Vcs-Bzr field
so people don't try to follow it" is one such change.)

On 07/02/12 11:13, Mark Brown wrote:
> we've had dpkg support for this in experimental for
> less than a week, it's not in unstable yet and you're upset that I've
> not been actively integrating this into unstable?

If you'd prefer experimental, that'd be good too. Having the library
appear in multiarch directories and work for the "main" architecture is
a significant step (and as far as I can see, in most cases, the only
step needed), even if it can't immediately be installed for two or more
architectures.

Multiarch-compatible libraries for the main architecture don't require a
multiarch dpkg, only a ld.so that loads from the multiarch-compatible
directories (available in its final form, AFAICS, since last June). In
some ways, the dependency relationship between multiarch dpkg and
multiarch libraries is closer to being the other way round: a multiarch
dpkg isn't useful (or testable without building local packages, i.e. by
the "random users" you mentioned) until there are (dependency chains of)
co-installable packages to install with it.

For instance, GLib in testing is already installed to multiarch
locations, as are all of its other dependencies. It works fine for a
single-architecture system, but it isn't actually possible to install a
second architecture of GLib right now, because they'd both require their
architecture's zlib, and zlib isn't yet in multiarch locations, so you
can only have it for one architecture.

Similarly, multiarch installability of libpng/testing is only waiting
for zlib, and gtk2/testing seems to only be waiting for zlib and cairo
if I'm reading aptitude correctly.

The patches proposed on this bug might not be perfect, but they're the
minimal change. Ubuntu's zlib has had basically the same patch for
almost a year (including 2 Ubuntu releases); I realise things in Ubuntu
aren't always held to the same standard as in Debian, but it's not as if
nobody has tried it.

    S




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Feb 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #99 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 569697@bugs.debian.org, Philipp Kern <pkern@debian.org>, 569697-submitter@bugs.debian.org
Subject: Re: Bug#569697: ldgfkjdkjg
Date: Tue, 7 Feb 2012 20:32:27 +0000
On Tue, Feb 07, 2012 at 08:49:25PM +0100, Cyril Brulebois wrote:
> Mark Brown <broonie@debian.org> (07/02/2012):

> > It really seems entirely irresponsible to just throw stuff in there
> > without any serious testing and I really want to see a bunch of random
> > users get multiarch (which pretty much means a multiarch enabled dpkg

> what about a zlib upload to experimental? That would greatly help early
> testers make sure everything is fine with multiarchified zlib, be it for
> the host architecture or for foreign architectures. That should lead to
> fewer troubles when core packages (dpkg, zlib, and friends) are uploaded
> to unstable.

I probably will get round to it at some point hopefully before it gets
into unstable but most likely not this week.  I've probably spent most
of the time I might've spent on it venting about the approach here.




Message sent on to Simon McVittie <smcv@debian.org>:
Bug#569697. (Tue, 07 Feb 2012 20:33:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Tue, 07 Feb 2012 21:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Tue, 07 Feb 2012 21:00:06 GMT) Full text and rfc822 format available.

Message #107 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: Philipp Kern <pkern@debian.org>, 569697@bugs.debian.org
Subject: Re: Bug#569697: ldgfkjdkjg
Date: Tue, 7 Feb 2012 20:58:20 +0000
On Tue, Feb 07, 2012 at 08:16:06PM +0000, Simon McVittie wrote:
> There may have been some misunderstanding here? I believe Philipp and
> Riku were interpreting this:

> > This needs to be based on unreleased packaging which isn't anywhere
> > public yet

> as saying you had some semi-finished packaging which you wanted people
> to rebase onto, but that they can't do so, because it isn't available to
> them. If that's not it, could you please say what you'd prefer packages

That's true, but it does mean I can't apply it directly.  Well, I don't
particularly think anyone should bother generating a new patch.

> to be relative to? Or, if they did understand correctly, could you
> please make that packaging available somewhere so someone can help to
> finish it, or prepare a patch that's more to your liking?

That's really not a useful use of anyone's time - the change itself is
trivial, it's just that I've been conservative about what I upload in
general and when I've had time to look at zlib I've worked on redoing
the package (or faffing around with VCSs).  I can't remember but I think
whatever I last had used the new paths, it's just never seemed important
to get it in the archive (or we were in the freeze and there was no way
something like that would get uploaded).

> On 07/02/12 11:13, Mark Brown wrote:
> > we've had dpkg support for this in experimental for
> > less than a week, it's not in unstable yet and you're upset that I've
> > not been actively integrating this into unstable?

> If you'd prefer experimental, that'd be good too. Having the library
> appear in multiarch directories and work for the "main" architecture is
> a significant step (and as far as I can see, in most cases, the only
> step needed), even if it can't immediately be installed for two or more
> architectures.

This was more a reference to the length of time things have been
grinding on.  I remember multi arch as having been going on since 2003
or something and we're now getting "motivational" mails like the one I
originally replied to within a week of dpkg finally hitting experimental.

Having said that I think I'm just going to throw whatever I've got over
the wall.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#569697; Package zlib1g. (Sat, 11 Feb 2012 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sat, 11 Feb 2012 16:15:03 GMT) Full text and rfc822 format available.

Message #112 received at 569697@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@debian.org>
To: 569697@bugs.debian.org
Subject: Please allow an intermediate upload with minimal change
Date: Sat, 11 Feb 2012 15:59:57 +0000 (UTC)
Hi,

just confirming that the attached patch works for me.
(Now, if TenDRA were multiarch-safe…)

So please, go forward.

bye,
//mirabilos
-- 
  “Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool.”
						-- Edward Burr




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#569697; Package zlib1g. (Sat, 11 Feb 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Sat, 11 Feb 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #117 received at 569697@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Thorsten Glaser <tg@debian.org>, 569697@bugs.debian.org
Subject: Re: Bug#569697:
Date: Sat, 11 Feb 2012 17:37:33 +0000
Thanks for your update.  It'll be great when we get the new libxml
upstream in.

More seriously please provide context in your mails so they can be
understood by the reader and especially don't mention completely
unrelated topics which make things even less clear.




Reply sent to Mark Brown <broonie@debian.org>:
You have taken responsibility. (Sun, 12 Feb 2012 03:12:03 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 12 Feb 2012 03:12:03 GMT) Full text and rfc822 format available.

Message #122 received at 569697-close@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 569697-close@bugs.debian.org
Subject: Bug#569697: fixed in zlib 1:1.2.6.dfsg-1
Date: Sun, 12 Feb 2012 03:09:49 +0000
Source: zlib
Source-Version: 1:1.2.6.dfsg-1

We believe that the bug you reported is fixed in the latest version of
zlib, which is due to be installed in the Debian FTP archive:

lib32z1-dev_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/lib32z1-dev_1.2.6.dfsg-1_amd64.deb
lib32z1_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/lib32z1_1.2.6.dfsg-1_amd64.deb
zlib-bin_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/zlib-bin_1.2.6.dfsg-1_amd64.deb
zlib1g-dbg_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g-dbg_1.2.6.dfsg-1_amd64.deb
zlib1g-dev_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g-dev_1.2.6.dfsg-1_amd64.deb
zlib1g-udeb_1.2.6.dfsg-1_amd64.udeb
  to main/z/zlib/zlib1g-udeb_1.2.6.dfsg-1_amd64.udeb
zlib1g_1.2.6.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g_1.2.6.dfsg-1_amd64.deb
zlib_1.2.6.dfsg-1.debian.tar.gz
  to main/z/zlib/zlib_1.2.6.dfsg-1.debian.tar.gz
zlib_1.2.6.dfsg-1.dsc
  to main/z/zlib/zlib_1.2.6.dfsg-1.dsc
zlib_1.2.6.dfsg.orig.tar.gz
  to main/z/zlib/zlib_1.2.6.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569697@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Brown <broonie@debian.org> (supplier of updated zlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Feb 2012 02:05:41 +0000
Source: zlib
Binary: zlib1g zlib1g-dev zlib1g-dbg zlib-bin zlib1g-udeb lib64z1 lib64z1-dev lib32z1 lib32z1-dev libn32z1 libn32z1-dev
Architecture: source amd64
Version: 1:1.2.6.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Mark Brown <broonie@debian.org>
Changed-By: Mark Brown <broonie@debian.org>
Description: 
 lib32z1    - compression library - 32 bit runtime
 lib32z1-dev - compression library - 32 bit development
 lib64z1    - compression library - 64 bit runtime
 lib64z1-dev - compression library - 64 bit development
 libn32z1   - compression library - n32 runtime
 libn32z1-dev - compression library - n32 development
 zlib-bin   - compression library - sample programs
 zlib1g     - compression library - runtime
 zlib1g-dbg - compression library - development
 zlib1g-dev - compression library - development
 zlib1g-udeb - compression library - runtime for Debian installer (udeb)
Closes: 569697 589134
Changes: 
 zlib (1:1.2.6.dfsg-1) unstable; urgency=low
 .
   * New upstream release.
   * OMG!!!!! MULTIARCH!!!#!!! (closes: #569697).
   * Break older libxml (closes: #589134).
   * Drop bzr repo, it's adding nothing and painful to use.
Checksums-Sha1: 
 b238f96693757b45d9d2e3feddda1224363d96d4 1646 zlib_1.2.6.dfsg-1.dsc
 aa65d5b6a7200f0f5be67af5ffad553dcbc7a5f0 347740 zlib_1.2.6.dfsg.orig.tar.gz
 8b524917d1cbec6ade229905066bf6d285f013f9 14993 zlib_1.2.6.dfsg-1.debian.tar.gz
 26c357406e9bf9d1c790c699498c691b8084c142 85626 zlib1g_1.2.6.dfsg-1_amd64.deb
 b03061c63823a48610f78a2b20fed36214a12893 212826 zlib1g-dev_1.2.6.dfsg-1_amd64.deb
 51c84eef3dcf38e8e5f8c09e9071b8079b76f95e 294498 zlib1g-dbg_1.2.6.dfsg-1_amd64.deb
 80c8138197c91cbad074fcc191bb2b5d2d0ef2ad 129792 zlib-bin_1.2.6.dfsg-1_amd64.deb
 b262db640ca36aaa68c30814392186e0a2f393b6 49498 zlib1g-udeb_1.2.6.dfsg-1_amd64.udeb
 df72e1e50d7c63b40ca764fa3882d5af42ac6b5e 87002 lib32z1_1.2.6.dfsg-1_amd64.deb
 6bd44f633961cb78b8f97cd9e450d522642a0329 88202 lib32z1-dev_1.2.6.dfsg-1_amd64.deb
Checksums-Sha256: 
 9cb85bef08787c393af4ad02c93cc75413415e19ea4d8e37489943a1a1254e61 1646 zlib_1.2.6.dfsg-1.dsc
 d2cc2765705cda08da817f12ffbcfb04b6449012101296332aedbc11562c7f41 347740 zlib_1.2.6.dfsg.orig.tar.gz
 5c1b039cf0e6b0b9f20bf18898eb94baf2c58983b9af44e0b95b066e1ee51b83 14993 zlib_1.2.6.dfsg-1.debian.tar.gz
 2676a93ffdfb2d61f6ed8b957b2defc1fecb305c40c73ac50b295565d870f024 85626 zlib1g_1.2.6.dfsg-1_amd64.deb
 9157ebb0c02110d5ef130755e599ad952049f53f1bfe2bfb42cdc46c01f0c8e2 212826 zlib1g-dev_1.2.6.dfsg-1_amd64.deb
 357c509de886d970524a70d9c724b29eaf43b57f26ad8d24a62b17fd3c9bdf1f 294498 zlib1g-dbg_1.2.6.dfsg-1_amd64.deb
 d731468196dfde92b099c56dcc8b51b44e9d70fcc3d37f890a0da212771c199f 129792 zlib-bin_1.2.6.dfsg-1_amd64.deb
 7e3f6e42ebb414392693f04dd5a958f4aa1c7b8a5bb350d59792e1d93c675522 49498 zlib1g-udeb_1.2.6.dfsg-1_amd64.udeb
 f521ea4472f0c4321b1f00d55a9bbf6fa0810f20c3f764de9c3e96314f3b229d 87002 lib32z1_1.2.6.dfsg-1_amd64.deb
 06adb893ed56c5232cee7305bf2f4256e2dbc352f1e31634ce7effe9620b1f1f 88202 lib32z1-dev_1.2.6.dfsg-1_amd64.deb
Files: 
 d75a8dbe271419186458dc04aab0e877 1646 libs optional zlib_1.2.6.dfsg-1.dsc
 afc32fc45337dc3fc78edc74298157e7 347740 libs optional zlib_1.2.6.dfsg.orig.tar.gz
 6e8b12f6642bacc503595067074c8f2d 14993 libs optional zlib_1.2.6.dfsg-1.debian.tar.gz
 e590337bf7fa501937f32c4f1a776e42 85626 libs required zlib1g_1.2.6.dfsg-1_amd64.deb
 fa3ba54c9803f12a8c77380182d8e634 212826 libdevel optional zlib1g-dev_1.2.6.dfsg-1_amd64.deb
 00c74337c0859bbda387c9785caed0a8 294498 debug extra zlib1g-dbg_1.2.6.dfsg-1_amd64.deb
 3dcb13ec77930f2103a8858fe4f8263b 129792 utils optional zlib-bin_1.2.6.dfsg-1_amd64.deb
 1975c32ef086cd2146414ebcd967385e 49498 debian-installer optional zlib1g-udeb_1.2.6.dfsg-1_amd64.udeb
 43f05798243dab45f57a85f161b3879f 87002 libs optional lib32z1_1.2.6.dfsg-1_amd64.deb
 4b13fbbea968f35dc5d7964361673c1f 88202 libdevel optional lib32z1-dev_1.2.6.dfsg-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk83ICQACgkQJ2Vo11xhU63fTACg33mXMU1/QEqM4TZIaWmSWm8a
D3kAnjhoXyB4gmxLFUWs6AH/TqXUxS/4
=prqM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Mar 2012 07:41:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:47:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.